package org.honours.gui;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import org.expeditee.gui.DisplayIO;
import org.expeditee.gui.Frame;
import org.expeditee.gui.FrameGraphics;
import org.expeditee.gui.FrameKeyboardActions;
import org.honours.actions.MiscActions;
import org.honours.collection.Collection;

public class KeyboardActions implements KeyListener{

	private static KeyboardActions _instance = null;
	
	private KeyboardActions(){}
	
	public static KeyboardActions getInstance(){
		if(_instance == null)
			_instance = new KeyboardActions();
		
		return _instance;
	}
	
	@Override
	public void keyPressed(KeyEvent e) {
		
		int keyCode = e.getKeyCode();
		Frame currFrame = DisplayIO.getCurrentFrame();
		Collection coll = Collection.findCollection(currFrame);
		
		if(coll != null){
		//If F9 (Audience Mode button) has been pressed.
		if(keyCode == KeyEvent.VK_F9){
			
			if(FrameGraphics.isAudienceMode()){
				//turn off display of toolbar.
				HonoursFrameIO.DISPLAY_TOOLBAR = false;
				MiscActions.ToggleToolbar();

				
			}else{
				HonoursFrameIO.DISPLAY_TOOLBAR = true;
				MiscActions.ToggleToolbar();
			}
		}
		
		}		
		FrameKeyboardActions.getInstance().keyPressed(e);
	}

	@Override
	public void keyReleased(KeyEvent e) {
		FrameKeyboardActions.getInstance().keyReleased(e);
		
	}

	@Override
	public void keyTyped(KeyEvent e) {
		FrameKeyboardActions.getInstance().keyTyped(e);
	}

	
}
